Subject: bug#78504: 31.0.50; tty-colors.el color-name-rgb-alist doesn't match rgb.txt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 May 2025 15:12:59 +0300

> Date: Tue, 20 May 2025 01:00:30 +0000
> From: ana_hallia--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> While reading tty-colors.el with colorful-mode turned on, several colors were not being highlighted, I tried with rainbow-mode to see if it was an "issue" with colorful-mode but it gave me the same result.

Are you saying that the problems with colorful-mode are due to
differences in spelling of the color names in tty-colors.el?  If so,
please show the details.

> Comparing the list of tty-colors and of rbg.txt shows that the former
> lacks spaces / lacks capitalization.

This should not matter because we canonicalize the color names before
accessing the color-name-rgb-alist:

  (tty-color-canonicalize "Ghost White")
    => "ghostwhite"

> I ultimately do not think this is very important but in case this is due
> to recent changes in either rbg.txt or tty-colors, I am reporting it.

Thanks.  Unless you have a situation where this causes some problems,
this is not a bug.